Subject: [TR] Two Keys For Free!

From: [email-masked]
Date: Wed, 20 Mar 2013 11:31:58 -0400 (EDT)

List,
 
I was digging through some stuff and came upon two keys on a small ring  
with the number FS 923 on each key.
 
They don't fit any locks on my TR4 nor do I think they were for the TR6 or  
Spitifre I owned recently so I don't have a clue what they fit or where 
they  came from.  They look very new so maybe I got them from a "mystery bag"  
door prize???
 
Anyway, if anyone wants them, please let me know and I'll mail them to  you.
 
Chip Krout
Delaware Valley Triumphs, Ltd.
Skippack, PA 
1962 TR4  CT2052L

** [email-masked] **

Archive: http://www.team.net/archive